
Katello - Bug #23534

product repositories page updates page spacing after product#show responds

05/07/2018 07:40 PM - Andrew Kofink

Status: New   

Priority: Low   

Assignee:    

Category: Repositories   

Target version: Katello Backlog   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1606366 Red Hat JIRA:  

Pull request:    

Description

Version: nightly

To reproduce:

1. Navigate to a product in Katello

Actual:

The page loads with many requests, the last being products#show, and the UI elements are updated as responses come in;

however, the page gets about 30px longer as the product name in the breadcrumb is loaded in.

Expected:

The page loads with many requests, and the UI elements are updated as responses come in; however, the page spacing is

unaffected.

Why this is a problem:

When users first navigate to the page, the repositories are shown right after the loading screen. If I try to click a link/checkbox on a

repository at the same time the products#show response comes back, the page moves down ~30px, and my mouse clicks on the

wrong repository. It's mostly just annoying, but it could cause real problems.

History

#1 - 05/07/2018 07:51 PM - Andrew Kofink

- File issue#23534.ogv added

#2 - 05/09/2018 05:49 PM - John Mitsch

- translation missing: en.field_release set to 349

#3 - 07/20/2018 07:40 PM - Andrew Kofink

- Bugzilla link set to 1606366

#4 - 08/15/2018 06:10 PM - Jonathon Turel

- Category changed from Web UI to Repositories

- Priority changed from Normal to Low

- Target version changed from Katello 3.8.0 to Katello Backlog

- Triaged set to Yes

Files

issue#23534.ogv 692 KB 05/07/2018 Andrew Kofink
